<?php
	
	list ($topic) = $irc_call_args;
	
	$topic = strtolower($topic);
	
	switch ($topic)
	{
	case 'mode':
	case 'modes':
		notice($from, 'To start a game in special modes, type "!yandere join <modes>" where <modes> is one or more space-seperated modes:');
		notice($from, 'basic :Create a game containing only yanderes, spies, guardians, and civilians.');
		notice($from, 'blind :Blind roles. Non-yandere roles are never announced publicly');
		notice($from, 'invert :Game messages are displayed using inverted text.');
		notice($from, '+m :Resicted-voice mode. Only players can talk in the channel, and only at day.');
		notice($from, '<number> :The numbers of seconds allotted for joining the game. The default is 60.');
		return;
	
	default:
		if (false !== $key = array_search($topic, $this->custom_vars->yandere_role_singulars))
		{
			$topic = $key;
		}
		elseif (!isset ($this->custom_vars->yandere_role_singulars[$topic]))
		{
			notice($from, 'I don\'t know what that is.');
			return;
		}
		
		if (isset ($this->custom_vars->yandere_role_descriptions[$topic]))
		{
			notice($from, $this->custom_vars->yandere_role_descriptions[$topic]);
		}
		else
		{
			notice($from, 'I don\'t have a description for that yet.');
		}
		
		return;
	}
	
?>
