<?php
	
	list ($channel, $start_time, $turn) = $irc_call_args;
	
	if (!isset ($this->custom_vars->yandere_games[$channel]))
	{
		// The game ended. Do nothing.
		return;
	}
	
	$game = $this->custom_vars->yandere_games[$channel];
	
	if ($start_time != $game->start_time || $turn != $game->turn)
	{
		// This message is no longer relevant.
		return;
	}
	
	output($channel, $game->s.'The sun is rising. If you\'re a night role, you need to make your action now or type "/msg '.$this->nick.' !yandere abstain".'.$game->e);
	
	foreach ($game->players as $user_id => $player)
	{
		if (in_array($player->role, $this->custom_vars->yandere_night_roles) && (!in_array($game->players[$user_id]->role, $this->custom_vars->yandere_role_single_use) || !$game->players[$user_id]->did_action))
		{
			if (!isset ($game->votes[$user_id]))
			{
				notice($player->nick, $game->s.'I need a decision from you. You\'re a '.$this->custom_vars->yandere_role_singulars[$player->role].'. '.$this->custom_vars->yandere_role_descriptions[$player->role].$game->e);
			}
		}
	}
	
	$this->schedule_event(time() + 120, array ('yandere/night-timeout', $channel, $game->start_time, $game->turn));
	
?>
