<?php
	
	$this->custom_vars->yandere_role_singulars = array
	(
		'civilians' => 'civilian',
		'cloaked yanderes' => 'cloaked yandere',
		'guardians' => 'guardian',
		'samurai' => 'samurai',
		'spies' => 'spy',
		'traps' => 'trap',
		'tsunderes' => 'tsundere',
		'warriors' => 'warrior',
		'yanderes' => 'yandere',
	);
	
	$this->custom_vars->yandere_standard_roles = array
	(
		'innocents' => 'civilians',
		'mafia' => 'yanderes',
		'detectives' => 'spies',
	);
	
	$this->custom_vars->yandere_night_roles = array
	(
		'cloaked yanderes',
		'guardians',
		'samurai',
		'spies',
		'warriors',
		'yanderes',
	);
	
	$this->custom_vars->yandere_day_roles = array
	(
		'samurai',
	);
	
	$this->custom_vars->yandere_enemies = array
	(
		'cloaked yanderes',
		'traps',
		'yanderes',
	);
	
	$this->custom_vars->yandere_role_odds = array
	(
		'civilians' => 100,
		'guardians' => 10,
		'warriors' => 10,
		'samurai' => 5,
		'tsunderes' => 5,
		'traps' => 1,
	);
	
	$this->custom_vars->yandere_role_actions = array
	(
		'cloaked yanderes' => 'vote',
		'guardians' => 'guard',
		'samurai' => 'kill',
		'spies' => 'spy',
		'warriors' => 'kill',
		'yanderes' => 'vote',
	);
	
	$this->custom_vars->yandere_role_single_use = array
	(
		'samurai',
		'warriors',
	);
	
	$this->custom_vars->yandere_role_appearance = array
	(
		'cloaked yanderes' => 'civilians',
		'traps' => 'civilians',
		'tsunderes' => 'yanderes',
	);
	
	$this->custom_vars->yandere_role_descriptions = array
	(
		'civilians' => 'Civilians are normal townsfolk with no special abilities.',
		'cloaked yanderes' => 'Cloaked yanderes are yanderes that look like civilians to spies. Each night, you vote to kill someone by typing "/msg '.$this->nick.' !yandere kill <user>". The majority vote among the yanderes wins. Earlier votes break ties.',
		'guardians' => 'Guardians have the ability to protect a player during the night. Type "/msg '.$this->nick.' !yandere guard <user>". But be careful: if you protect a yandere, you\'ll definitely be killed!',
		'samurai' => 'Samurai have the ability to single-handedly kill a player of their choosing once during a night or day of your choosing. Type "/msg '.$this->nick.' !yandere kill <user>" if you believe that person is a yandere.',
		'spies' => 'Spies can inspect another player\'s role each night. Type "/msg '.$this->nick.' !yandere spy <user>". But be aware that tsunderes (good lolis) will be mistaken as yanderes, and traps (bad lolis) will be mistaken as civilians.',
		'traps' => 'Traps are normal civilians with no special abilities, except you only win if the yanderes win. You want to sabotage the game in favor of the yanderes. Spies will mistake you for a civilian.',
		'tsunderes' => 'Tsunderes are normal civilians with no special abilities, except spies will mistake them for yanderes.',
		'warriors' => 'Warriors have the ability to single-handedly kill a player of their choosing once during a night of your choosing. Type "/msg '.$this->nick.' !yandere kill <user>" if you believe that person is a yandere.',
		'yanderes' => 'Yanderes are the villains of the game. Each night, you vote to kill someone by typing "/msg '.$this->nick.' !yandere kill <user>". The majority vote among the yanderes wins. Earlier votes break ties.',
	);
	
	$this->custom_vars->yandere_weapons = array
	(
		'a crowbar',
		'an axe',
		'a sword',
		'dynamite',
		'a wrench',
		'a fork',
		'a giant plushie',
		'dihydrogen monoxide',
		'a gun',
		'a cheese grater',
		'a rolling pin',
		'a frying pan',
		'a staple gun',
		'a sledgehammer',
		'a major papercut',
		'a pineapple',
		'a box of gummy worms',
		'a giant snake',
		'excalibolg',
		'a pretzel',
		'a death note',
		'a mecha',
		'a bowling ball',
		'AIDS',
		'a tentacle monster',
		'a tennis racket',
		'an exploding pen',
		'a cannon',
		'laser beams',
		'a hot glue gun',
		'a frisby',
		'a mutant bee sting',
		'a shark',
		'a yo-yo',
		'ESP',
		'a yak',
		'a box of starving, crazed weasels',
		'a shuriken',
		'inflation and the subsequent pop',
		'a banana',
		'a thermal detonator',
		'a falling house',
		'a Masamune',
		'a mouse trap',
		'a walrus with a top hat',
		'vore',
	);
	
	$this->custom_vars->yandere_murder_descriptions = array
	(
		'has been brutally murdered by',
		'is dead, killed by',
		'was taken out by',
		'has been killed by',
		'has been murdered by',
		'is lying on the floor, murdered by',
		'has been savagely killed by',
		'was assassinated with',
		'was eliminted by',
		'was knocked off with',
		'has been slain by',
		'was wasted by',
		'was done in by',
	);
	
?>
