<?php
	
	class Yandere_user extends Get_set
	{
		public $server;
		
		public $action;
		public $appearance;
		public $did_action = false;
		
		public $irc_user;
		protected $role = 'civilians';
		
		//== Constructor ==//
		
		public function __construct ($server, $nick)
		{
			include (dirname(__FILE__).'/yandere-user/constructor.php');
		}
		
		//== Overloads ==//
		
		public function get_nick ()
		{
			return $this->irc_user->nick;
		}
		
		public function set_role ($role)
		{
			include (dirname(__FILE__).'/yandere-user/set-role.php');
		}
		
		public function __call ($func, $args)
		{
			$call_path = dirname(__FILE__).'/yandere-user/method.'.$func.'.php';
			
			if (file_exists($call_path))
			{
				return include ($call_path);
			}
		}
	}
	
?>
