<?php
	
	list ($channel) = $irc_call_args;
	
	if (!isset ($this->custom_vars->yandere_games[$channel]))
	{
		return;
	}
	
	$game = $this->custom_vars->yandere_games[$channel];
	
	if ($game->active)
	{
		// Announce roles.
		
		$roles = array ();
		
		foreach ($game->init_players as $player)
		{
			$roles[$player->role][] = $player->nick;
		}
		
		ksort($roles);
		
		foreach ($roles as $role => $players)
		{
			output($channel, ucfirst($role).': '.implode_comma_series($players));
		}
		
		// Remove channel moderation.
		
		if ($game->restrict_voice)
		{
			$this->send('MODE '.$channel.' -m');
		}
		
		call('yandere/remove-voice', $channel);
	}
	
	unset ($this->custom_vars->yandere_games[$channel]);
	
?>
