<?php
	
	list ($channel, $vote_id) = $irc_call_args;
	
	$game = $this->custom_vars->yandere_games[$channel];
	
	$game->had_night = true;
	
	$game->turn++;
	
	if ($game->had_day)
	{
		if ($vote_id === false)
		{
			output($channel, $game->s.'You abstain from lynching anyone. '.$game->e);
		}
		elseif (is_null($vote_id))
		{
			output($channel, $game->s.'You fail to make a decision. No one is lynched. '.$game->e);
		}
		else
		{
			if ($game->blind_roles)
			{
				$role = $game->players[$vote_id]->role == 'yanderes' ? 'a yandere' : 'NOT a yandere';
			}
			else
			{
				$role = 'a '.$this->custom_vars->yandere_role_singulars[$game->players[$vote_id]->role];
			}
			
			output($channel, $game->s.'You lynch '.$game->players[$vote_id]->nick.', and it turns out '.$game->players[$vote_id]->nick.' was '.$role.'!'.$game->e);
			
			unset ($game->players[$vote_id]);
		}
		
		if (call('yandere/check-game-over', $channel))
		{
			return;
		}
	}
	
	$game->votes = array ();
	
	// Schedule the sunset.
	
	$this->schedule_event(time() + 180, array ('yandere/night-sunrise', $channel, $game->start_time, $game->turn));
	
	// Remove voice from all players.
	
	call('yandere/remove-voice', $channel);
	
	// Status.
	
	sleep(5);
	
	$players = array ();
	
	foreach ($game->players as $player)
	{
		$players[] = $player->nick;
	}
	
	output($channel, $game->s.'Night time falls. If you have a night role, type "/msg '.$this->nick.' !yandere <command>" or "/msg '.$this->nick.' !yandere abstain".'.$game->e);
	
	output($channel, $game->s.'Current players: '.implode_comma_series($players).'.'.$game->e);
	
?>
