<?php
	
	require_once (dirname(__FILE__).'/classes/yandere-game.php');
	require_once (dirname(__FILE__).'/classes/yandere-user.php');
	
	function irc_yandere_handler ($args)
	{
		list ($server, $param_str, $params) = $args;
		
		$server->call('yandere/main', $params);
	}
	
	add_handler('irc-command-yandere', 'irc_yandere_handler');
	
	// Command shortcuts.
	
	function irc_yandere_guard_handler ($args)
	{
		list ($server, $param_str, $params) = $args;
		
		$server->call('yandere/main', array_merge(array ('guard'), $params));
	}
	
	add_handler('irc-command-guard', 'irc_yandere_guard_handler');
	
	function irc_yandere_kill_handler ($args)
	{
		list ($server, $param_str, $params) = $args;
		
		$server->call('yandere/main', array_merge(array ('kill'), $params));
	}
	
	add_handler('irc-command-kill', 'irc_yandere_kill_handler');
	
	function irc_yandere_spy_handler ($args)
	{
		list ($server, $param_str, $params) = $args;
		
		$server->call('yandere/main', array_merge(array ('spy'), $params));
	}
	
	add_handler('irc-command-spy', 'irc_yandere_spy_handler');
	
	function irc_yandere_vote_handler ($args)
	{
		list ($server, $param_str, $params) = $args;
		
		$server->call('yandere/main', array_merge(array ('vote'), $params));
	}
	
	add_handler('irc-command-vote', 'irc_yandere_vote_handler');
	
?>
